Welcome to Port Magic!

What is Port Magic?

Port Magic is an Windows application that helps your home networking router manage the flow of AOL and other Internet data traffic in the most efficient way possible, without requiring you to access your router's advanced configuration screens.

Port Magic improves the speed of some advanced AOL features for PCs that are connected to a router (IM file transfers and AOL Talk for example.) Network latency and file transfer times may be reduced in many cases, though you may not notice a dramatic difference in day to day AOL activities. In addition, some third-party applications such as PC games that operate over the Internet will be able to connect through a Port Magic-managed router without accessing the router's advanced configuration screens.

For security, Port Magic may periodically alert you when new applications attempt to access the Internet through your router.

Getting Started

Click here for help getting started with Port Magic, or here for troubleshooting info and frequently asked questions.

Copyright © 2002, 2003 Pure Networks, Inc. All rights reserved.

Information in this document is subject to change without notice. The software described in this document is furnished under a license agreement or nondisclosure agreement. The software may be used or copied only in accordance with the terms of those agreements. No part of this publication may be reproduced, stored in a retrieval system, or transmitted in any form or any means electronic or mechanical, including photocopying and recording for any purpose other than the purchaser’s personal use without the written permission of Pure Networks, Inc.


How Port Magic Works

Overview

Port Magic is a Windows application that helps manage the settings on your router.

What is a Router?

A router is a piece of networking hardware that isolates the network traffic on your home network from the Internet. The primary function of a router is to decide which network traffic should pass between your home network and the Internet and vice-versa.

Why Manage a Router?

Most routers are configured to automatically block all incoming network connection requests to an application running on a PC on your home network. This functionality works great for most applications like web browsers and email clients that establish network connections to servers hosted on the Internet. However, some advanced instant messaging features like file transfers perform much better when they can establish a direct or peer-to-peer network connection between the instant messaging client running on your PC and the corresponding client running on another PC. Port Magic configures your router to establish this direct connection by opening a port on the router. Once the application is finished with the port, Port Magic automatically closes the port on the router.

Router Credentials

Port Magic requires a valid username and password to manage your router. Port Magic asks you for a valid username and password only if you've changed them from the manufacturer's default values. Your router user name and password will NOT be sent to Pure Networks, AOL or any third party when you type it into Port Magic.


Getting Started

Getting Started With Port Magic

Port Magic runs in your Windows task bar and listens for applications like instant messaging and multi-player games that try to open ports to the Internet. When a program tries to communicate with the Internet, Port Magic will ask if you want to allow the program to open a port on your router. If you say yes, Port Magic will automatically configure your router to allow the program's communications to pass through to your computer. If you say no, a port will not be opened.

You can see all of the programs that have asked to open ports in Port Magic's Applications window. From this window, you can change any of the settings for each program that is listed.


Port Magic Applications

Applications Window

The Port Magic Applications window displays information about the programs that have requested to open ports to the Internet.

Click on the image below to get more information about the items in this window.

Clicking on any of the application names will bring up the Application Properties window for the specific application.


Port Magic Application Properties

Application Properties Window

The Port Magic Application Properties window displays information about a specific program that has requested to open ports to the Internet.

Click on the image below to get more information about the items in this window.

To view a list of all applications that have requested ports, see the Applications window.


Port Magic Options

Options Window

The Options window lets you change your preferences for running Port Magic.

Click on the image below to get more information about the items in this window.


Status Window

Router Status Window

The Router Status window displays information about your router, including the manufacturer, model, firmware revision, WAN address (assigned by your Internet Service Provider), and connection status. Click on the WAN address to copy your WAN IP address to the clipboard.


Send Feedback

Send Feedback to Pure Networks

The Feedback window lets you send comments or questions about Port Magic directly to Pure Networks. Your feedback will be used to help us improve our software. When you send feedback, your email address is sent along so that we can contact you to respond to your questions or follow up with you for more information. You can also upload recent log files to Pure Networks to provide more information to help us solve your problem. We value your privacy and will not sell or share your information with anyone (click here to view our privacy policy).


Release Notes

Port Magic Release Notes

This version of Port Magic is brought to you courtesy of the AOL® service. This document contains updates to the Port Magic documentation and last-minute product information.

SUPPORTED PLATFORMS

  • Port Magic runs on Windows 98, Windows 98 SE, Windows ME, Windows 2000, and Windows XP.

ROUTER SPECIFIC ISSUES

D-Link

  • The D-Link DI-804V and D-Link DSL-500 takes an unusually long time to update port forwardings. Updating port forwardings can take up to 30 seconds to complete. On this router users should consider using the "Leave Mapped" option in the Applications Dialog.

  • Some D-Link routers fail under heavy port mapping activity. In most cases the router automatically recovers and Port Magic continues working. In extreme cases, it may be necessary to reset or power cycle the D-Link router.

  • On some D-Link routers, if you are using a dynamic WAN IP address and have modified the Host Name field, Port Magic will fail to detect your router. To fix this problem change the Host Name field back to the model number of your router. For example if you own a DI-604, this field should read DI-604.

Microsoft

  • If you are using a Microsoft MN-100, MN-500 or MN-700 router and running the Microsoft Base Station Management tool, Port Magic will occasionally cause you to logged out from the Base Station Management tool.

SOFTWARE COMPATIBILITY

  • The AdsOff product is incompatible with Port Magic. The company that produced AdsOff is no longer in business.

  • The M@ilDefense (MailDefense) product is incompatible with Port Magic and many similar applications. See http://www.indefense.com/support/mdfaqs.asp?3 for more information.

KNOWN ISSUES

  • On Windows 2000 and Windows XP machines you must be an administrator to install.

  • Certain routers reboot automatically when any changes are made to the port forwarding tables. During this time, you may temporarily lose Internet connectivity which can cause some applications to malfunction or downloads to be interrupted. This is particularly a problem with wireless router connections. If you experience connectivity problems when mapping ports, check with your router vendor to see if there is a firmware update available for your router that solves the problem. If not, try setting the mapping mode for your application to "Leave Mapped". This will force the ports to be kept open on the router, rather than mapping them dynamically.

  • Certain routers can take up to 10 seconds per port to update their port forwarding tables. Sometimes these delays can interfere with application performance. If you experience these delays, check with your router vendor to see if there is a firmware update available for your router that solves the problem. If not, try setting the mapping mode for your application to "Leave Mapped". This will force the ports to be kept open on the router, rather than mapping them dynamically. Use the "Leave Mapped" feature sparingly as most routers have a limited number of entries available for port forwarding.

  • In some cases if Port Magic is not shutdown properly, port mappings may not be removed from the router. If this occurs, the port mappings will be removed automatically the next time Port Magic starts.

  • This release of Port Magic does not open ports on your router for applications that start as Windows Services (e.g., IIS). You need to manually configure your router to forward ports for these applications. Consult the documentation for your router for more information on how to manually set port forwarding.

  • If your PC is running Internet Explorer 4.0, then you should install the Microsoft HTML Help update. You can download the Microsoft HTML Help Update at http://support.purenetworks.com/help/update_help.php.

  • On Windows 98 Second Edition machines with Zone Alarm installed, Zone Alarm may crash on shutdown. Responding to the dialog by pressing OK allows you to continue.

  • If you are using the Fast User Switching feature in Windows XP, Port Magic will only run for the first user to log in.

  • Some routers only allow one machine to login to the router at a time. On those routers, if you manually login to the router Port Magic will not be able to access the router until you manually logout. Usually these manual login sessions timeout but sometimes this can take up to seven or more minutes.

SUPPORT

For assistance in using Port Magic, select 'Using Port Magic' from the Windows Start Menu, or from the Port Magic icon in the taskbar.

Copyright© 2002, 2003 Pure Networks, Inc. All rights reserved. All trademarks are property of their respective owners.


Frequently Asked Questions

The following troubleshooting information and frequently asked questions represent the information known by Pure Networks at the time this version of Port Magic was released. For the most up-to-date information from our web site, click here.

Q. What is Port Magic?

A. Port Magic is an application that works with your router to allow Internet applications, like AOL and multi-player games, to communicate more easily with users. It is fully customizable and gives you complete control over the way programs communicate over your network.

Q. Why does Port Magic prompt for my router username and password?

A. Port Magic requires a valid username and password to manage your router. Port Magic asks you for a valid username and password only if you or your home network installer has changed them from the manufacturer's defaults. Your router username and password will NOT be sent to Pure Networks, AOL or any third party when you type it into Port Magic.

Q. I don't know my router username or password?

A. First, check your router's user guides and documentation for the default username and password. If you don't have these materials or you changed your username and password but don't remember them you should contact the router manufacturer for help. Port Magic asks you for a valid username and password only if they have been changed from the manufacturer's defaults.

Note: If you had a professional install your router or signed up for a home networking "service" with your ISP you should check with them for this information.

Q. How do I remove Port Magic?

A. Port Magic gets installed automatically with AOL but can be removed from your PC separately from AOL. Use the following steps to remove Port Magic from your PC:

1. On the Start menu, point to Settings then click Control Panel.

2. Double-click Add/Remove Programs.

3. Scroll through the list of installed programs until you see Pure Networks Port Magic.

4. Click on Pure Networks Port Magic once to select it then click Remove.

5. You may be asked to restart your PC to completely remove Port Magic.

Q. Does Port Magic replace my firewall?

A. Port Magic is not a replacement for software or hardware firewall products. Port Magic works with firewalls and routers to make it easier for you to allow programs like multi-player games to talk to the Internet without being blocked. Using Port Magic can be more secure than manually opening and closing ports because it only opens and closes the ports that the program needs and closes the ports as soon as the program doesn't need them any more.

Q. Which gateways does Port Magic support?

A. Port Magic supports the following Internet routers (note: more models are added regularly - check with the Port Magic web site for the latest list):

3Com:

  • 3CR856-95, 3CRWE52196

Belkin:

  • F5D5230-4, F5D5231-4, F5D6230-3, F5D6231-4, F5D7230-4

D-Link:

  • DI-604, DI-614+, DI-624, DI-713P, DI-764, DI-774, DSL-500

Linksys:

  • BEFCMUH4, BEFN2PS4, BEFSR11, BEFSRU31, BEFSR41, BEFSR41W, BEFSR81, BEFSX41, BEFVP41, HPRO 200, NR041, NWR04B, WRT51AB, WRT54G

Microsoft:

  • MN-100, MN-500, MN-700

NetGear:

  • CG814M, DG814, FM114P, FR114P, FVS318, MR314, MR814, RO318, RP114, RP314, RP334, RP614v2, RT311, RT314, WGR614, WGT624

Siemens:

  • SpeedStream 2510, SpeedStream 2524, SpeedStream 2601, SpeedStream 2602, SpeedStream 2604, SpeedStream 2614, SpeedStream 2624, SpeedStream 5660

SMC:

  • 2304 series: SMC2304QBR-AG

  • 2404 series: SMC2404WBR

  • 2804 series: SMC2804WBR, SMC2804WBRP-G

  • 7004 series: SMC7004ABR, SMC7004AWBR, SMC7004FW, SMC7004BR, SMC7004VBR, SMC7004VWBR, SMC7004WBR, SMC7004WFW

  • 7008 series: SMC7008ABR, SMC7008BR

ZyXEL:

  • Prestige 310, Prestige 643, Prestige P645ME+, Prestige 944S

Q. Which operating systems does Port Magic support?

A. Port Magic runs on Windows 98, Windows 98 Second Edition, Windows ME, Windows 2000, and Windows XP.

Q. The Applications window lists ports for my program, but says they are not being mapped? Why not?

A. There are several possible reasons for this:

  1. On computers that have more than one network adapter, some programs try to open ports on adapters that are not connected to your router. Port Magic won't try to map ports on adapters that are not connected to your router.

  2. The requested port is already mapped on the router. Consult the documentation for your router to remove the pre-existing mapping.

  3. There's not enough room on your router for new ports to be mapped. Most routers only have a limited number of ports that can be mapped at one time. Try closing one or more applications that require ports and try again.

  4. Your router username and/or password is incorrect. Verify your information in the Port Magic Options window.

For more information, please contact technical support.


Contacting Pure Networks

Contacting Technical Support

For technical support on this version of Port Magic, please call AOL Member Services at 1-800-478-1539.


Application.Action

Enables you to set how Port Magic handles port open requests from the selected application.

  • Always Deny denies all port open requests from the program.

  • Prompt Me displays a notification each time the program requests that a port be opened.

  • Always Approve opens and closes ports as they are requested by the application.

  • Leave Mapped creates a permanent mapping on the router, leaving the ports open even when the application is closed. Use Leave Mapped sparingly.

The default action is 'Prompt Me'.


Application.CloseNow

Removes all port mappings from your router that were opened by the selected application.


Application.Details

 Displays details about the specified program, including its name, publisher, and installation path.


Application.HideApp

Enables you to show or hide the specific program in the Applications window. Hidden applications can still be seen by selecting the "Show Hidden" option in the Applications window.


Application.MonitorAll

By default, Port Magic monitors all network interfaces for port requests, which works for the majority of applications. If a specific application is having connection problems, you can change this setting to only monitor the default network interface (0.0.0.0). Note: this setting should be only changed if an application is having connection problems.


Application.PortStatus

Displays the ports that are currently in use on your router. For more details, click on an individual application's name.


Application.Props

Displays details about the program that requested to open a port to the Internet, including its name, publisher, and installation path on the hard disk.


Application.Recent

Displays the last 100 ports that the selected program has requested to be opened on your router.


Application.ShowHidden

Toggles the display of applications that have been set to "hidden" in the Application Properties window. Hidden applications will appear as a different color in the list.


Application.Status

Displays the ports that are currently in use by the selected program.

  • Mapped indicates that the port is open on your router.

  • Not mapped indicates that the port is closed on your router.

  • Could not map indicates there was a problem trying to open the port on your router.

(none) indicates no ports are mapped.


Application.Name

 Lists the names of programs that have requested to open ports out to the Internet.


Options.AllowAll

Whether or not to allow Port Magic to automatically open ports whenever a program requests. For security purposes, the default is No.


Options.AutoStart

Whether or not Port Magic runs automatically when Windows starts. Default is yes.


Options.DND

Whether or not to turn on Port Magic's 'Do Not Disturb' feature - this prevents interruption of full-screen DirectX games. When 'Do Not Disturb' is enabled, you can choose whether to automatically approve any port requests from all programs, or automatically deny any port requests. Default is Approve All Ports Requests.


Options.Email

Enter an email address where Pure Networks can contact you for support-related issues.


Options.Logging

Whether or not to allow Port Magic to record activity in log files stored on the local machine. This information is useful in providing support for Port Magic.


Options.PromptTimeout

Determines how long you want any Port Magic messages to stay on-screen, in seconds. Default is 10.


Options.RGPassword

The administrative password for your router. This is needed so Port Magic can create port mappings on your router.


Options.RGUsername

The administrative user name and password for your router (if applicable). This is needed so Port Magic can create port mappings on your router.


Options.Sound

Whether or not to play a sound when Port Magic notifies you of new port mapping requests.